
Name:          open-xchange-guard-munin-scripts-jolokia
BuildArch:     noarch
#!BuildIgnore: post-build-checks
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires: ant
%else
BuildRequires: ant-nodeps
%endif
%if 0%{?rhel_version} && 0%{?rhel_version} == 600
BuildRequires: java7-devel
%else
%if (0%{?suse_version} && 0%{?suse_version} >= 1210)
BuildRequires: java-1_7_0-openjdk-devel
%else
BuildRequires: java-devel >= 1.7.0
%endif
%endif
Version:	   2.8.0
%define        ox_release 22
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       GNU General Public License (GPL)
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       Open-Xchange Guard Munin scripts
Autoreqprov:   no
Requires:      munin-node, perl-JSON, perl-libwww-perl
Conflicts:     open-xchange-guard-munin-scripts

%description
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains Open-Xchange plugins for the Munin node.

Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
RRDtool. To see a real example of Munin in action, you can follow a link
from <http://munin.projects.linpro.no/> to a live installation.

Authors:
--------
    Open-Xchange


%prep
%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build

%post
TMPFILE=`mktemp /tmp/munin-node.configure.XXXXXXXXXX`
munin-node-configure --libdir /usr/share/munin/plugins/ --shell > $TMPFILE || :
if [ -f $TMPFILE ] ; then
  sh < $TMPFILE
  rm -f $TMPFILE
fi
find -L /etc/munin/plugins -name 'ox_*' -type l -delete
/etc/init.d/munin-node restart || :
exit 0


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%dir /usr/share/munin
/usr/share/munin/plugins/
%dir /etc/munin/
%dir /etc/munin/plugin-conf.d/
%config(noreplace) /etc/munin/plugin-conf.d/*

%changelog
* Tue Jun 04 2019 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2019-06-11 (5265)
* Tue Dec 11 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-12-17 (5025)
* Thu Oct 18 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-10-22 (4929)
* Fri Oct 05 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-10-10 (4910)
* Tue Jun 26 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-07-02 (4804)
* Wed May 09 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-05-14 (4742)
* Tue Apr 17 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-04-23 (4648)
* Fri Mar 23 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-03-28 (4610)
* Mon Feb 12 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-02-05
* Mon Jan 08 2018 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2018-01-11
* Mon Nov 27 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2017-11-30 (4468)
* Fri Oct 20 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2017-10-26 (4419)
* Wed Sep 27 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2017-10-02 (4379)
* Mon Aug 28 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2017-09-06 (4334)
* Tue Aug 01 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for patch 2017-08-07 (4304)
* Wed Jul 19 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for Patch 2017-07-24 (4289)
* Fri Jul 07 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for Patch 2017-07-17 (4264)
* Mon Jun 12 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for Patch 2017-06-19 (4220)
* Tue Jun 06 2017 Martin Schneider <martin.schneider@open-xchange.com>
Build for Patch 2017-06-08 (4187)
* Tue May 16 2017 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.8.0 release
* Thu May 04 2017 Martin Schneider <martin.schneider@open-xchange.com>
Second preview of 2.8.0 release
* Mon Apr 03 2017 Martin Schneider <martin.schneider@open-xchange.com>
First preview of 2.8.0 release
* Fri Dec 02 2016 Martin Schneider <martin.schneider@open-xchange.com>
prepare for 2.8.0 release
* Fri Nov 25 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second release candidate for 2.6.0 release
* Thu Nov 24 2016 Martin Schneider <martin.schneider@open-xchange.com>
First release candidate for 2.6.0 release
* Tue Nov 15 2016 Martin Schneider <martin.schneider@open-xchange.com>
Third preview of 2.6.0 release
* Sat Oct 29 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second preview of 2.6.0 release
* Fri Oct 14 2016 Martin Schneider <martin.schneider@open-xchange.com>
First preview of 2.6.0 release
* Wed Oct 12 2016 Martin Schneider <martin.schneider@open-xchange.com>
prepare for 2.6.0 release
* Tue Jul 12 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second candidate for 2.4.2 release
* Wed Jul 06 2016 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.4.2 release
* Wed Jun 29 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second preview for 2.4.2 release
* Thu Jun 16 2016 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.4.2 release
* Thu Jun 16 2016 Martin Schneider <martin.schneider@open-xchange.com>
prepare for 2.4.2
* Wed Mar 30 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second candidate for 2.4.0 release
* Thu Mar 24 2016 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.4.0 release
* Wed Mar 16 2016 Martin Schneider <martin.schneider@open-xchange.com>
Fifth preview of 2.4.0 release
* Fri Mar 04 2016 Martin Schneider <martin.schneider@open-xchange.com>
Fourth preview of 2.4.0 release
* Sat Feb 20 2016 Martin Schneider <martin.schneider@open-xchange.com>
Third candidate for 2.4.0 release
* Fri Feb 05 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second candidate for 2.4.0 release
* Fri Feb 05 2016 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.4.0 release
* Sat Apr 11 2015 Martin Schneider <martin.schneider@open-xchange.com>
prepare for 2.4.0
